View Single Post
Old 06-23-2007, 05:14 PM   #4
aleandre
Member
aleandre began at the beginning.
 
aleandre's Avatar
 
Posts: 21
Karma: 10
Join Date: Jun 2007
Location: Rijswijk ZH, Netherlands
Device: Sony PRS-500, Cybook Opus, iPad
Thank you for your help, kovidgoyal !

I did what you suggested, and the installation script does indicate I am installing version 0.3.55 :
Quote:
root@Fidelio3-Ubuntu:~# easy_install-2.5 -U libprs500
Searching for libprs500
Reading http://cheeseshop.python.org/pypi/libprs500/
Reading http://libprs500.kovidgoyal.net
Reading http://cheeseshop.python.org/pypi/libprs500/0.3.55
Best match: libprs500 0.3.55
Downloading http://cheeseshop.python.org/package...7562ce178082d8
Processing libprs500-0.3.55-py2.5.egg
Moving libprs500-0.3.55-py2.5.egg to /usr/lib/python2.5/site-packages
Removing libprs500 0.3.27 from easy-install.pth file
Adding libprs500 0.3.55 to easy-install.pth file
Installing lrf-meta script to /usr/bin
Installing markdown script to /usr/bin
Installing rtf-meta script to /usr/bin
Installing html2lrf script to /usr/bin
Installing prs500 script to /usr/bin
Installing txt2lrf script to /usr/bin
Installing lit2lrf script to /usr/bin
Installing libprs500 script to /usr/bin

Installed /usr/lib/python2.5/site-packages/libprs500-0.3.55-py2.5.egg
I thought I still had version 0.3.27, because, even after the install, that's what the GUI displays...

Now, about this error message, you will find it in the attached file. This happens still after the upgrade, but as I wrote earlier this doesn't seem to impact the results : the books are transfered to the Reader all the same.

Thank you for your mentioning of ipython : I am at the moment using DrPython, and that seems to be what I need just now. I just would like to learn a "modern" programming language to exercise this skill during my free time : not that I've got that much, but I still have fond memories of programming in Pascal and C as a teenager in the 80's-early 90's.

I will try sometimes next week to find a .lit file to transfer to the Reader using libprs500. I understand I should just add it to the library and then transfer it to the Reader like any other file, shouldn't I ?

Regards,

aleandre.
Attached Thumbnails
Click image for larger version

Name:	Error msg.png
Views:	897
Size:	109.1 KB
ID:	4112  
aleandre is offline   Reply With Quote